﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Mvc;
using Sevomin.Models;
using Sevomin.Models.Repositories;

namespace Sevomin.WebFrontend.Controllers
{
    public class JobController : AuthorizedController
    {
        IJobRepository _JobRepository;

        public JobController()
        {
            _JobRepository = JobRepository.Current;
        }

        public JobController(IJobRepository jobRepository)
        {
            _JobRepository = jobRepository;
        }

        public ActionResult NewJob()
        {
            Avalin avalin = (Avalin)User; //????
            Job job = _JobRepository.GetEmptyJobFor(avalin);
            JobViewModel jvm = new JobViewModel(job);
            return View(jvm);
        }
    }
}
